function [bv sebv R2v R2vadj] = CAPM(Exmkt, PortRet)

% mktRetVW: calculate value weighted market return
% 
% INPUT:
%   Exmkt: T periods of excess market return
%   PortRet: T periods of 10 BM portfolios 

% OUTPUT:
%   bv: coefficents 
%   sebv: std dev
%   R2v(R2vadj): R-square (adjusted)

%  Lu Zhang and Xiaoji Lin 2012

% warning off


bv=[]; sebv=[]; R2v=[];

[N T] = size(PortRet);
X     = ones(T,1);

for i = 1 : N
     lhv = PortRet(i,:)'; 
     rhv = [X  Exmkt];
     lags = 12; 
     weight = 1; 
     [bv(:,i),sebv(:,i),R2v(:,i),R2vadj(:,i),v,F] = olsgmm(lhv,rhv,lags,weight);

end
