function [bv] = MLD(mkt, Ret)

% CAPMLD: Do time series CAPM regressions
% 
% INPUT:
%   mkt: T periods of market return
%   Ret: N by T firm level returns
%   premium

% OUTPUT:
%   bv: coefficents 

%  Xiaoji lin and Lu Zhang 2012

warning off all

[N T] = size(Ret);
X     = ones(T,1);

RRet = Ret';
lhv = RRet; 
rhv = [ X mkt];
bv = rhv\lhv;
bv = bv';

