
function [mktRet] = mktRetVW(P, Ret)

% mktRetVW: calculate value weighted market return
% 
% INPUT:
%   P: N by T matrix of firm capitalization
%   Ret: N by T matrix of individual firm return
%   Rf: risk free rate
% OUTPUT:
%   p: 
% 
%  Xiaoji lin and Lu Zhang 2012

% warning off

% Initializing
[N, T]  = size(Ret);
for i = 1 : T
    V(:,i) = sum(P(:,i));
    mktRet(i) = sum(Ret(:,i).*P(:,i))/V(:,i);
end


