function simx = simuX(T,imx,Qx,x)

% SIMUX: simulate a T periods markov process variable

% T: length of simulation
% imx: median of x
% Qx: transition matrix of x
% x:  a variable with markov process

% Output
% simx
 
sysrand  = rand(T, 1);
xid = zeros(T, 1);
xid(1) = imx;
cumQx = cumsum(Qx);
simx    = zeros(T,1);
for j = 2 : T           
        xid(j) = find(cumQx(:, xid(j-1)) >= sysrand(j), 1); 
        simx(j-1) = x(xid(j));
end
